
Redmine - Defect #18301

Revision shortlink at end of URL breaks URL autolinking

2014-11-07 16:51 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 3.0.0   

Resolution: Fixed Affected version:  

Description

For example here this:

http://example.com/some/url-r14/

 produces:

http://example.com/some/url-r14/

which in HTML is:

<p><a class="external" href="http://example.com/some/url-&lt;a href=" projects="" redmine="" 

repository="" revisions="" 14"="" title="Localization plugin removed (replaced with GLoc)">r14</a>

/"&gt;http://example.com/some/url-<a href="/projects/redmine/repository/revisions/14" class=

"changeset" title="Localization plugin removed (replaced with GLoc)">r14</a>/</p>

Associated revisions

Revision 13596 - 2014-11-14 22:31 - Jean-Philippe Lang

Fixed that Redmine links should not be parsed inside links (#18301).

History

#1 - 2014-11-14 22:31 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.0

- Resolution set to Fixed

This should be fixed by r13596.

#2 - 2015-04-06 06:27 - Toshi MARUYAMA

- Related to Defect #19304: <a> tag without attributes in description results in undefined method + for nil:NilClass added

#3 - 2015-04-06 06:46 - Toshi MARUYAMA

- Related to deleted (Defect #19304: <a> tag without attributes in description results in undefined method + for nil:NilClass)
